using System;
using System.Collections.Generic;
using System.Text;
using Be.TimVanWassenhove.ContextBoundSamples.PersonContract;
using System.Runtime.Remoting;

namespace Be.TimVanWassenhove.ContextBoundSamples.DemoApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            IPersonService personService = RemotingHelper.GetService<IPersonService>();
            Person[] persons = personService.Find();
            personService.Delete(persons[0]);

            try
            {
                personService.Delete(new Person(9, "Joshua", DateTime.Now));
            }
            catch (ArgumentException e)
            {
                Console.WriteLine(e.Message);
            }

            Console.Write("{0}Press any key to continue...", Environment.NewLine);
            Console.ReadKey();
        }
    }
}
